# Fonderie et Interpolator

Avec toutes ces fonctions disponibles et `grabvidseq`, nous
savons faire des images **floues***. L'étape suivante, les plus
pervers d'entre vous le savent déja, est celle de la création
de **films flous**. 

## Fonderie

Le programme principal, utilisé à partir de la ligne de commande
avec une foule d'options aux mnémoniques abscons.

Rassurez-vous, en général il est wrappable dans des scripts
écrits en Bash. Il est même possible un jour qu'ils puissent lire des 
paramètres dans `$(env)`.

```
tth@delirium:~/Devel/FloatImg/Fonderie$ ./fonderie -h
*** ./fonderie :
        compiled by tTh, Nov  3 2020 03:42:29
        pid 3424
*** FloatImg library, alpha v112 (Nov  2 2020, 00:31:33)
        FONDERIE
options:
        -g      convert to gray
        -I      input glob pattern
        -O      output directory
        -T      fifo size
        -v      increase verbosity
        -w      input effect
        -x      output effect
```

## exemple d'utilisation

Voici comment appeler ce truc depuis la ligne de commande
tel qu'il m'arrive de pratiquer :

```
#!/bin/bash

GRABDIR="/spool/tth/fonderie"
FONDEUR="$HOME/Devel/FloatImg/Fonderie/fonderie"
GLOB=${GRABDIR}'/?????.fimg'

${FONDEUR} -v -T 40 -I "$GLOB" -w 10 -x 0
```

Ensuite il suffit d'encoder toutes les images générées dans
`p8/` (répertoire de sortie par défaut)
avec une incantation de ffmpeg :

```
ffmpeg  -nostdin                                        \
        -loglevel error                                 \
        -y -r 30 -f image2 -i p8/%05d.png               \
        -c:v libx264 -pix_fmt yuv420p                   \
        foo.mp4
```

## crapulator.c

C'est dans ce module qu'est codé le moteur de filtrage, utilisé
aussi bien en entrée qu'en sortie. Il est, à l'heure actuelle,
assez rudimentaire, avec un paramétrage simpliste, et un manque
criant de documentation...

## Interpolator

Un logiciel dont l'inspiration vient du passé et d'importantes
amélioration de Terre-Blanque, ça ne peut
pas être complètement malsain. 

Mais il reste encore pas mal de choses à faire pour le mettre
en prod' un trolldi soir.


## Conclusion


**Use the source, Luke**

